Package org.apache.tomcat.util.http

## Class Parameters

- java.lang.Object
- - org.apache.tomcat.util.http.Parameters

    public final class Parameters
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `Parameters.FailReason`

### Constructor Summary

Constructors
`Parameters()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addParameter​(java.lang.String key, java.lang.String value)`
`java.nio.charset.Charset` `getCharset()`
`java.lang.String` `getParameter​(java.lang.String name)`
`java.util.Enumeration<java.lang.String>` `getParameterNames()`
`java.lang.String[]` `getParameterValues​(java.lang.String name)`
`Parameters.FailReason` `getParseFailedReason()`
`void` `handleQueryParameters()` Process the query string into parameters
`boolean` `isParseFailed()`
`void` `processParameters​(byte[] bytes, int start, int len)`
`void` `processParameters​(MessageBytes data, java.nio.charset.Charset charset)`
`void` `recycle()`
`void` `setCharset​(java.nio.charset.Charset charset)`
`void` `setLimit​(int limit)`
`void` `setParseFailedReason​(Parameters.FailReason failReason)`
`void` `setQuery​(MessageBytes queryMB)`
`void` `setQueryStringCharset​(java.nio.charset.Charset queryStringCharset)`
`void` `setURLDecoder​(UDecoder u)`
`int` `size()`
`java.lang.String` `toString()` Debug purpose

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Parameters

    public Parameters()

### Method Detail

#### setQuery

    public void setQuery​(MessageBytes queryMB)

#### setLimit

    public void setLimit​(int limit)

#### getCharset

    public java.nio.charset.Charset getCharset()

#### setCharset

    public void setCharset​(java.nio.charset.Charset charset)

#### setQueryStringCharset

    public void setQueryStringCharset​(java.nio.charset.Charset queryStringCharset)

#### isParseFailed

    public boolean isParseFailed()

#### getParseFailedReason

    public Parameters.FailReason getParseFailedReason()

#### setParseFailedReason

    public void setParseFailedReason​(Parameters.FailReason failReason)

#### size

    public int size()

#### recycle

    public void recycle()

#### getParameterValues

    public java.lang.String[] getParameterValues​(java.lang.String name)

#### getParameterNames

    public java.util.Enumeration<java.lang.String> getParameterNames()

#### getParameter

    public java.lang.String getParameter​(java.lang.String name)

#### handleQueryParameters

    public void handleQueryParameters()

Process the query string into parameters

#### addParameter

    public void addParameter​(java.lang.String key,
                             java.lang.String value)
                      throws java.lang.IllegalStateException

Throws:
  `java.lang.IllegalStateException`

#### setURLDecoder

    public void setURLDecoder​(UDecoder u)

#### processParameters

    public void processParameters​(byte[] bytes,
                                  int start,
                                  int len)

#### processParameters

    public void processParameters​(MessageBytes data,
                                  java.nio.charset.Charset charset)

#### toString

    public java.lang.String toString()

Debug purpose

Overrides:
  `toString` in class `java.lang.Object`